#' Fonction pour retirer les accents d'un texte
#'
#' Cette fonction permet de retirer les accents des lettres latines pour identifier les textes plus largement et eviter également les problèmes de casse
#'
#' @param text Text à transformer avant comparaison
#' @examples
#' Unaccent("Sècheresse")
#' @return Text en minuscule et sans accents
#' @author Sebastien Gallet <sebastien.gallet@acpr.banque-france.fr>
#' @export

Unaccent <- function(text) {
  text <- gsub("['`^~\"]", " ", text)
  text <- iconv(text, to="ASCII//TRANSLIT//IGNORE")
  text <- gsub("['`^~\"]", "", text)
  text <- tolower(text)
  return(text)
}
