#' Registre des erreurs
#'
#' Registre des erreurs identifiées par les tests et telles que définies dans la variable 'rules_tab'
#'
#' \itemize{
#'   \item num. numerotation incrémentale des erreurs identifées
#'   \item titre. titre du test
#'   \item organisme. nom de l'organisme tel que défini dans la remise
#'   \item erreur. courte phrase décrivant l'erreur et le numero du test (voir la liste des tests)
#'   \item onglet. onglet concerné par le test
#'   \item col. colonne concernée par le test
#'   \item lign. ligne(s) concernées par le test
#'   \item periode. periode (2019,2025,2030...) à laquelle le test a été réalisé
#'   \item niveau importance. Echelle d'importance du test. Les tests "fort" doivent être passés sans erreurs. Les tests "moyen" peuvent ne pas être passés mais doivent être justifiés. Les tests "faible" doivent attirer l'attention et demande une justification interne propre à l'organisme
#'
#' }
#'
#' @docType data
#' @keywords datasets
#' @name erreur_log
#' @usage data(erreur_log)
#' @format A list
"erreur_log"
