#' Gestion des packages necessaires
#'
#' Verification et installation des packages si necessaire. Les packages sont enregistre dans la section "data"
#'
#' @param chemin Chemin pour acceder au répertoire où sont enregistrés les packages
#' @param pkg Liste des packages necessaires
#'
#' @return pas de sortie.
#'
#' @examples
#' pkg<-list("tibble","dplyr","tidyr","readxl")
#' fct_gestion_pkg(pkg)
#' @author Sebastien Gallet <sebastien.gallet@acpr.banque-france.fr>
#' @export

fct_gestion_pkg<- function (pkg,chemin="./") {

list_local_pkg<-list("dep_pkg_piloteclimatr/tibble_3.0.4.tar.gz",
                       "dep_pkg_piloteclimatr/dplyr_1.0.2.tar.gz",
                       "dep_pkg_piloteclimatr/tidyr_1.1.2.tar.gz",
                       "dep_pkg_piloteclimatr/readxl_1.3.1.tar.gz")

# check des package du CRAN
  for (nb_pkg in 1:length(pkg) ) {
    try(eval(parse(text=paste0("library(",pkg[nb_pkg][[1]],")"))))
    if ( is.null(try(path.package(pkg[nb_pkg][[1]], quiet = TRUE) ) ) ) {
       # on utilise les packages du repository deja configuré
      try(install.packages(pkg[nb_pkg][[1]], dependencies = TRUE))
      if ( is.null(try(path.package(pkg[nb_pkg][[1]], quiet = TRUE) ) ) ) {
        # on utilise les packages en local
        install.packages(paste0(chemin, list_local_pkg[nb_pkg]), repos=NULL, type="source")
        eval(parse(text=paste0("library(",pkg[nb_pkg][[1]],")")))
      }
      eval(parse(text=paste0("library(",pkg[nb_pkg][[1]],")")))
    }
  }
}
