#' Tableau de definition des tests
#'
#' Le tableau contient les regles ecrites sous la forme "A test B"
#'  A est défini par une ou plusieurs cellules Excel qui peuvent être agrégées selon une formule, une somme,...
#'  B est defini sur le meme principe que A.
#'  'test' est un test logique (=,>,<) entre A et B si B existe.
#'  Mais 'test' peut etre uniquement adressé à A (=0, _is.na , ... )
#'  Il est possible d'ajouter une precision absolue ou relative au test
#'  Il est possible de repliquer le test sur les colonnes (ex: pour les differentes periodes, voir les remises)
#'
#' \itemize{
#'   \item Num check. numero du test
#'   \item titre_check. titre explicite du test realise
#'   \item Feuille_A. feuille excel dans laquelle se trouve l information du membre A du test
#'   \item Col A. lettre de la colonne excel dans laquelle se trouve l information du membre A du test. Toujours C dans cette remise
#'   \item Ind_col A. Indice des remises (ex: 20,10) de la colonne excel dans laquelle se trouve l information du membre A du test. Doit etre unique
#'   \item Ligne A. lettre de la ligne excel dans laquelle se trouve l information du membre A du test.Toujours R dans cette remise
#'   \item liste_indice_filtre A. indice ou liste d'indices permettant d'identifier les valeurs utilisées dans le test pour la partie A
#'   \item formule_A. lorsque les indices de liste_indice_filtre A sont multiple, d'ecrit la facon dont les valeurs sont agregees. Soit par une fonction (_sum_,_et_,_ou_) soit une formule en identifiant chaque valeur dans l'ordre à une variable ai (ex: a1/a2*100 pour 2 valeurs definies dans liste_indice_filtre A)
#'   \item test. test logique dans la liste (=,>,<,_is.na_,is.empty_). Il est possible d'ajouter un nombre apres (=,<,>) (ex: =5,<0.42...). Dans ce cas, B ne sera pas pris en compte
#'   \item Feuille_B. idem A pour le membre B du test
#'   \item Col B. idem A pour le membre B du test
#'   \item Ligne B. idem A pour le membre B du test
#'   \item liste_indice_filtre B. idem A pour le membre B du test
#'   \item formule_B. idem A pour le membre B du test
#'   \item Type de precision. "relative" pour une tolerance relative en % au membre A ou "absolue" pour une tolerance dans l'unite du membre A
#'   \item precision. valeur de la tolerance accordée pour le test. L unite depend du "Type de precision"
#'   \item nb repetition col 2020-2050. nombre de repetition du test en realisant une translation de colonne. Dans cette remise, correspond au changement de periode (5-> translation sur les 5 colonnes des periodes 2020 à 2050)
#'   \item resultat_KPI. "y" ou "n". Demande si le membre A doit être importé dans une table d'indicateur important
#'   \item niveau importance. indique le niveau d'importance du test en terme de data quality
#'
#' }
#'
#' @docType data
#' @keywords datasets
#' @name rules_tab
#' @usage data(rules_tab)
#' @format A data frame
"rules_tab"
